
QGIS Application - Bug report #19465

Pressing Enter in "Label with" deletes expressions

2018-07-22 11:03 PM - Anita Graser

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: GUI

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27293

Description

It's possible (and very convenient) to edit expressions in the "Label with" input field of the labeling panel but if the user presses Enter, the

expression is deleted. The user has to instead use Tab to leave the input and have the labels on the map update. (Enter does not delete

the input value if it's just a regular field instead of an expression.)

Associated revisions

Revision 556cddd4 - 2018-10-08 04:05 AM - Nathan Woodrow

Fix #19465 - Don't delete expression when pressing enter in combo (#8134)

History

#1 - 2018-07-23 08:55 PM - Anita Graser

- Subject changed from Pressing Enter in Label with deletes expressions to Pressing Enter in "Label with" deletes expressions

#2 - 2018-09-28 12:31 AM - Nathan Woodrow

- Priority changed from Normal to High

#3 - 2018-10-08 04:05 AM - Nathan Woodrow

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|556cddd4d9fcb3e45ddb8cd210e2306ef65a2446.
